[System.Reflection.Assembly]::LoadWithPartialName("System.Windows.Forms") | Out-Null

$scriptRoot = Split-Path -Path $MyInvocation.MyCommand.Path
cd $scriptRoot

#$dtt_path = "C:\Program Files\Intel\Intel(R) Dynamic Tuning Technology\uninstall"
$dtt_path = "${env:ProgramFiles}\Intel\Intel(R) Dynamic Tuning Technology\uninstall\"
If (Test-path -path $dtt_path) {start-process -FilePath $dtt_path\install.exe -ArgumentList "-s","-uninstall" -Verb RunAs -wait}

#$ipf_path = "C:\Program Files\Intel\Intel(R) Innovation Platform Framework\uninstall"
$ipf_path = "${env:ProgramFiles}\Intel\Intel(R) Innovation Platform Framework\uninstall"
If (Test-path -path $ipf_path) {start-process -FilePath $ipf_path\install.exe -ArgumentList "-s","-uninstall" -Verb RunAs -wait}

pnputil.exe /add-driver .\IPF\*.inf /subdirs /install

pnputil.exe /add-driver .\DTT\*.inf /subdirs /install

start-Sleep -s 2
If ([System.Windows.Forms.MessageBox]::Show("Restart the computer so that the settings are applied? / Neustart des Computers, damit die Einstellungen uebernommen werden?",'',4,32) -like "YES")
{ 
start-sleep -s 3 
Restart-Computer -force}


Pause